#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
# http://www.powershell-doktor.de
########################################


# Parametry
$DOSTAWCA = "System.Data.SqlClient"
$CIĄGPOŁĄCZENIA = `
"Data Source=.\SQLEXPRESS;AttachDbFileName="+ `
"H:\WPS\B_Database\sqlexpress\BazaKont.mdf;Integrated Security=True;"
$SQL = "Select * from konta"

# Tworzenie fabryki
$dostawca = [System.Data.Common.DbProviderFactories]::GetFactory($DOSTAWCA)

# Tworzenie połączenia
$połączenie = $provider.CreateConnection()
$połączenie.ConnectionString = $CIĄGPOŁĄCZENIA

# Otwieranie połączenia
$połączenie.Open();
"Stan połączenia: " + $połączenie.State

# Tworzenie polecenia
$cmd = $provider.CreateCommand()
$cmd.CommandText = $SQL
$cmd.Connection = $połączenie

# Tworzenie adaptera
[System.Data.Common.DbDataAdapter] $ada = $dostawca.CreateDataAdapter()
$ada.SelectCommand = $cmd

# Tworzenie obiektu DataSet
$ds = New-Object System.Data.DataSet

# Pobieranie danych
$e = $ada.Fill($ds, "użytkownicy") 

# Zamykanie połączenia
$połączenie.Close()
"Stan połączenia: " + $połączenie.State

# Dane wyjściowe
"Liczba tabel: " + $ds.Tables.Count
"Liczba wierszy w tabeli 1: " + $ds.Tables[0].Rows.Count

# Dostęp do tabeli
$Tabela = $ds.Tables[0]

# Wyświetlanie wszystkich wierszy
"Wiersze:"
$Tabela | Select Imię, Nazwisko, id
